package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.JoinUs;


/**
*  service接口类
*/
public interface JoinUsService{

    List<JoinUs> getJoinUsList(JoinUs record);

    List<JoinUs> getJoinUsByPage(Page page, JoinUs record);

    JoinUs getJoinUsById(String id);

    JoinUs getJoinUs(JoinUs record);

    boolean createJoinUs(JoinUs record);

    boolean deleteJoinUs(String id);

    boolean updateJoinUs(JoinUs record);
}

